#### Previous topic

scipy.special.itmodstruve0

#### Next topic

scipy.special.bdtrc

# scipy.special.bdtr

`scipy.special.``bdtr`(k, n, p) = <ufunc 'bdtr'>

  Binomial distribution cumulative distribution function.

  Sum of the terms 0 through k of the Binomial probability density.

  \[\mathrm{bdtr}(k, n, p) = \sum_{j=0}^k {{n}\choose{j}} p^j (1-p)^{n-j}\]

  Parameters:

  k : array_like

  > Number of successes (int).

  n : array_like

  > Number of events (int).

  p : array_like

  > Probability of success in a single event (float).

  Returns:

  y : ndarray

  > Probability of k or fewer successes in n independent events with success probabilities of p.

  Notes

  The terms are not summed directly; instead the regularized incomplete beta function is employed, according to the formula,

  \[\mathrm{bdtr}(k, n, p) = I_{1 - p}(n - k, k + 1).\]

  Wrapper for the Cephes [R344] routine `bdtr`.

  References

  [R344] | (1, 2) Cephes Mathematical Functions Library, http://www.netlib.org/cephes/index.html